## ChangeLog

[+]Added [-]Deleted [^]Upgraded [#]Fixed 【】Important

### 2.2.7 (2015-07-22)

- [^] Fix heatmap layer configuration in map

### 2.2.6 (2015-07-15)

- 【+】Add heatmap。See example heatmap
- 【+】Add Option Manual。
- 【+】Add Spreadsheet Data Conversion Tool。
- [^] Optimize event river layout algorithm
- [^] Fix tooltip bug of multiple connected charts in 2.2.5
- [?] Dependence, ZRender 2.1.1+

### 2.2.5 (2015-06-30)

- [^] Fix tree clickable. See #1655
- [^] Fix wordCloud clickable. See #1709
- [^] Tree direction right to left support. See #1608
- [^] Map value same precision with given data. Fix #1670, #1713
- [^] Map data can't toggle selected by setOption. See #1720
- [^] Fix bug that mouse event on tooltip will also trigger the event on canvas. Fix #1686
- [^] Fix bug that childBorderWidth can't be 0 in treemap. See #1674
- [^] Map extension support legend and dataRange
- [^] Each series can configure it's own z and zlevel. See #1648
- [^] Venn optimization
- [?] Dependence, ZRender 2.1.0+

### 2.2.4 (2015-06-17)

- [^] Fix chord label textStyle color not work, Fix #1649 »
- [^] Fix timeline not dispose bug when setOption with notMerge true。Fix #1601 »
- [^] Treemap add root option
- [^] Fix arrow drag and zoom bug in force。Fix #1604 »
- [^] Fix single series addData animation bug

### 2.2.3 (2015-06-01)

- 【+】 Add word cloud. See example Google Trends
- 【+】 Add tree chart. See exampletree2.html
- 【+】 Publish ECharts Map Data Tool
- [^] Improve treemap. Add children outline. Add breadcrumb. See example treemap1.html
- [^] Improve dataRange. Add splitList option. See example dataRange2.html
- [^] Fix rcOption not defined bug。Fix #1554 »
- [^] Fix #1528 »
- [^] Fix timeline bug of map。Fix #1515 »
- [^] Fix markLine add bug in gauge.
- [^] Fix tooltip styling bug in map.
- [?] Dependence, ZRender 2.0.8+

### 2.2.2 (2015-04-30)

- 【+】 Add Venn chart. See example Venn
- 【+】 Add Treemap，See example Treemap
- 【+】 Add logarithmic axis，See example line9
- 【+】 Release ECharts online builder
- [^] Add data filter for line chart with large data. #1370 »
- [^] symbolSize can configure width and height with an array
- [^] Fix #1308 »
- [^] Add configuration of z and zlevel

### 2.2.1 (2015-03-11)

- 【^】 [markLine] Optimize curve drawing. smoothRadian changed to smoothness
- 【^】 [markLine] Support large option as large scale mark line optimization hint. See example map22
- 【^】 [markLine] Support edge bundling, bundling，See example map22
- 【^】 dataView Custom config enhancement, See #1316 »
- [^] [eventRiver] eventList changed to data.
- [^] [force] Optimize for two-way link，support #1344 »
- [#] [funnel] Fix min/max size bug.
- [-] [gauge] Remove precision option
- [^] symbol Optimization for color configuration
- [#] Fix dataZoom error when yAxis and xAxis switched. Fix #1320 »
- [^] [k] Support label configuration
- [#] [force] Fix layout error when change data frequently when worker enabled. Fix #1319 »
- [#] [bar] Fix label disappear bug when label position is 'insideTop'.Fix #1257 »
- [#] noDataLoadingOption not working bug fixed。Fix #1269 »
- [^] Polar label support formatter
- [^] Radar add max, min option
- [^] tooltip add enterable option
- [?] Dependence，ZRender 2.0.8+

### 2.2.0( 2015-01-30 )

- 【+】 ECharts-m ( ECharts Mobile ) 1.0.0 release
- 【^】 Zlevel and z cascading control are configurable
- 【^】 Mobile device optimize, touch event optimize.
- 【^】 [markLine]Radian of the smoothed line is configurable. Try this »
- 【^】 Uniform the label formatter callback's parameter as tooltip, more details are provided.
- [+] Automatic no data mode, noDataText and noDataEffect would be displayed, support #1040 »
- [+] [tooltip]Add css class 'echarts-tooltip' to the tooltip's dom.
- [+] Add animationDurationUpdate for update transition animation duration control, support #1126 »
- [+] [markPoint]Effect symbol can be pin, add bouncing effect, effect.type = 'bounce'
- [+] [k]Add hoverable config.
- [^] [markLine]Average markLine supports precision.
- [^] [dataZoom]Vertical dataZoom interactive optimize, support #1124 »
- [^] [categoryAxis]Interval can be function, support #1093 »
- [^] [dataRange][dataZoom][timeline]Item size is configurable.
- [^] [extension][BMap]Add initialized parameters, fix addMark geo transformation.
- [^] [pie]Label location can be configured by distance, support #1122 »
- [^] [chord][tooltip]Display detail default to from large end to the small end.
- [#] LegendHoverLink should not take effect when animating, fix #896 », #974 »
- [#] [scatter][radar][k]Get wrong value when the data is object, fix #1031 »
- [#] [force]Fix line width configuration.
- [#] [bar]Bar category gap optimize under multiple stack.
- [#] [tooltip][markLine]Fix Multi-Level Control fail.
- [#] [valueAxis]Optimize the value interval adjustment algorithm, fix #1012 », #1021 »
- [#] Several issues. Closes #1045( dataRange on-off )» #1051( yAxis dashed splitLine )» #1076( dataRange indicater's formatter )» #1079( dataZoom miscalculation )» #1079( bar sub-pixel optimize )» #1089( showTip interface)» #1129( stack wrong when '-' )» #1130( abnormal display on IE11 )» #1141( tooltip sub-pixel optimize )» #1142( tooltip location cache error )» #1146( multi-row Legend location error )» #1150( dataZoom event's star and end should not be round )» #1176( gauge clickable )» #1218( label layout error when labelLine is hiden )»
- [?] Dependence, ZRender 2.0.7+

### 2.1.9 ( 2014-12-08 )

- [+] [force][chord]Add label option to the node, support #963 »
- [^] [axis][legend][dataRange][roamController]Add show option, support #866 »
- [^] [line]Symbol animation optimize, support #649 »
- [^] [tooltip]Add series in the callback's parameter, fixed markPoint's tooltip in multi-level control.
- [#] [line]Irregular line's symbole display problem, fix #886 »
- [#] [dataZoom]DataZoom detail display, fix #878 »
- [#] [force]Node’s color option, fix #902 »
- [#] [legend]Legend selected failed when the series is difference in timeline, fix #970 »
- [#] [radar]Exception under empty data, fix #978 »
- [#] [bar]Stack bar's display wrong when barMaxWidth has been configured, fix #931 »
- [#] [line]Image symbole display failed, fix #955 »
- [#] [title][toolbox][timeline][roamController][dataRange][legend]Padding option not updating, fix #948 »
- [#] [tooltip]hover bug fixed, interactive optimize.
- [#] Hover shapes have not been cleared after clear()
- [?] Dependence, ZRender 2.0.6+

### 2.1.8 ( 2014-11-07 )

- 【+】 English home page launch. Translate by Huan Wang.
- 【+】 [echarts-optimizer]New single file building strategy, tool and change the way of import, by erik.
- 【+】 [extension][BMap]New extension, BMap which is base on map.baidu.com, see doc, example1, example2, by Ji Yang.
- 【+】 [eventRiver]Added a new chart type, eventRiver. see this », by Limei Che.
- 【+】 [line][bar]Irregular line | bar supported this »( bar this » ). Closes #331 », #624 ».
- 【+】 [chord]Chord serie have ribbonType option to switch between two different style.
- 【+】 [timeAxis]Add a new axis type 'time' ( beta ).
- 【^】 [valueAxis]Optimize the value interval adjustment algorithm, splitNumber default to automatic, abolish power, precision, by Shiwei Xie.
- 【^】 [pie]Optimize the pie's label layout algorithm, Closes #326 », #405 », #290 ».
- 【^】 Uniform data representation of chord and force, see Graph data structure.
- 【^】 [funnel]Horizontal layout style can be configured by funnelAlign.
- 【^】 [toolbox]Magic switch between chord and force-directed charts, pie and funnel are supported.
- 【^】 [dataRange]DataRange (by hoverLink ) and Map (by dataRangeHoverLink ) can be hover linked.
- 【^】 [tooltip]Redesign the parameters of tooltip callback, from [] to {}, more info can be used.
- [+] Add Chinese main city's geoJson ( about 344 files ), try this ».
- [+] [force]Link shape can be curve now.
- [+] [force]roam supported, roam:false|true|'scale'|'move' same as map.
- [+] [force]label.position can be configured, new getPosition method which can get the current layout position.
- [+] [force]Add a new event type which would be fired at the end of fd-layout, ecConfig.EVENT.FORCE_LAYOUT_END.
- [^] [force]strokeColor and lineWidth changed to borderColor and borderWidth. strokeColor and lineWidth changed to color and width.
- [^] [toolbox]Series' option can be dynamically changed at the time of magic switch by feature.magicType.option.
- [^] [bar]Bar's max width limit is suppored by barMaxWidth.
- [^] [dataZoom]Show detail when dragging by the configuration of showDetail, support #381 ».
- [^] [legend]Legend's hover link to chart by the configuration of legendHoverLink.
- [^] [dataRange]Alpha change is supported. Closes this ».
- [^] [tooltip]More interaction can be add to the tooltip's dom. Closes #698 ».
- [^] Shut down all animation and realtime change in the explorer which does't support canvas, such as IE6/7/8.
- [#] Double-click event in IE8. Closes this ».
- [#] [markX]Wrong style when no legend component.
- [#] [roamController]Wrong control under multiple map type and handleColor failure.
- [#] Background color can't be removed after clear execute. Closes this ».
- [#] Several issues. Closes #704( Multiple map asynchronous callback )» #756( Transparent effect in [Scatter] )» #760( Formatter of extreme point )» #772( Exception of boundary calculation )» #798( Drag-Recalculate of pie )» #801( Change the parameter of tooltip's formatter callback )» #839( Exception of image display )» this( Transition animations wrong in [Line Area] )».
- [?] Dependence, ZRender 2.0.5+

### 2.0.4 (2014-09-23)

- 【+】 [force] Added support for image symbol in force-directed charts.
- 【#】 [line] Negative smooth curve. Closes #191 », #227 », #457 », #521 ».
- 【#】 Image can't be displayed in IE8. Closes #691 ».
- [^] [markX] Clickable default to true.
- [^] [line][bar] Inverted the data order in the horizontal layout stack. Closes this ».
- [^] [toolbox] Let 'this' point to current instance in the custom extension callback.
- [#] [toolbox] Error when save image under chart linkage. Closes #659 ».
- [#] [radar] Wrong render in the last dashed border. Closes #617 ».
- [#] [gauge] The decimal precision arithmetic errors. Closes #673 ».
- [#] [pie] Error when all data are 0. Closes #690 ».
- [#] [radar] Drag-Recalculate error when color is Gradient.
- [?] Dependence, ZRender 2.0.4+

### 2.0.3 (2014-09-05)

- 【+】 [roamController] New component, roamController, use for the maps, Closes #321 ».
- 【^】 [bar] Style conflict in Magic Switch, bar charts' borderWidth | Color | Radius change to be barBorderWidth | Color | Radius, see itemStyle », Closes #622 ».
- [+] Add clickable option to all chart types.
- [+] New event type: mouseout, dblclick. Closes #448 », #384 ».
- [^] [valueAxis] Optimize boundary algorithm. Closes #523 ».
- [^] [bar] Bar's barBorderRadius can be Array.
- [#] [tooltip] Continuous display under timeline. Closes this ».
- [#] Text in showLoading should be align center. Closes #638 ».
- [#] [timeline] Display incomplete when the axisline's style is dashed.
- [#] Page selected issue when drag or some weird interaction.
- [#] [addMark*] Can't delte Mark* when the Mark* was add be addMark* method.
- [#] Several issues. Closes #540 (Polar axisline's display.) » #543 (Zoom error in multiple map.) » #562 (DataZoom can be used in scatter.) » #568 (Js precise arithmetic in gauge.) » #600 (Magic switch error in non-coordinate Chart Linkage.) » #616 (Critical point error in coordinate charts.) » #617 (Dashed line display in radar.) » #644 (Infinite loop when dom's width|height is 0) » #650 (Mark* can't be display after dataZoom) ».
- [?] Dependence, ZRender 2.0.3+

### 2.0.2 (2014-08-13)

- 【#】 Fixed display bug in IE8-. Closes #475 ».
- [#] [gauge] Fixed accuracy calculation in gauges. Closes this ».
- [#] [polar] Added support for hiding polar axis and axisLabel.interval in polar coordinate system. Closes #540 ».
- [#] [force] Fixed file reference bug and remodelled worker in force-directed charts. Closes #533 ».
- [#] [map] Fixed markLine scale bug in maps. Closes #490 ».
- [?] Dependence, ZRender 2.0.2+

### 2.0.1 (2014-07-24)

- 【#】Fixed events failure for mobile devices.
- [#] [gauge] Fixed wrong calculation of non-default min and max in gauges.
- [#] [map] Fixed issue with maps not being updated when legend switch has no data.
- [#] [map] Fixed bug on switching map types.
- [#] [polar] Added support for circular polar coordinates.
- [#] [markLine] Fixed issue with transition updates on markLine. Closes #427 ».
- [#] Fixed bugs on resize when there is no option.
- [#] Fixed issue with symbole not displaying null values. Closes #442 ».
- [#] [timeline] Fixed bug caused by currentIndex not being zero. Closes #403 ».
- [#] Fixed addData bug when the length of original array is 1. Closes #394 ».
- [#] Fixed issue with loading bubble and dymnline (animated transition effects). Closes #406 ».
- [?] Dependence, ZRender 2.0.1+

### 2.0.0 (2014-06-30)

- 【+】[timeline] Added timeline that can be paired with any chart type. Try column »、scatter »、pie »、map ».
- 【+】[gauge] Added gauge chart type. Check this ».
- 【+】[funnel] Added funnel chart type. Check this ».
- 【^】[map] Added support for SVG map extension. Try body composition »、football pitch »、Baidu Building F3 ».
- 【^】[line][column][scatter][candlestick] Added support for big data mode on all browsers.
- 【^】Optimized chart animation in the whole system. Added support for gradual transition between statuses.
- 【^】Optimized PLM of charts and components in the whole system. Maintained state during multiple setOptions.
- 【+】Added support for markPoint's large-scale glow effects. Try Baidu popularity (simulation) ».
- 【+】Dynamic MarkPoint and MarkLine: addMarkPoint, addMarkLine, delMarkPoint, delMarkLine. Check this ».
- [^] [map] Added support for scaleLimit.
- [^] [bar] Added support for MarkLine to specify category coordinates-1. Achieved the full display of MAXNUMBER in the coordinate system.
- [^] [bar] itemStyle.X.label.position began to support 'insideLeft' | 'insideRight' | 'insideTop' | 'insideBottom'.
- [^] [force] Added support for linkSymbol: arrow.
- [^] [chord] Added support for text rotation.
- [+] [tooltip] Added new axisPointer tyle, Crosshair. The former shadow indicator style "areaStyle" was renamed "shadowStyle". For a closer look, see this ».
- [^] [tooltip] Added support for position correction and callback. Closes #292 ».
- [^] [dataRange] Acuracy in adaptive data.
- [^] [dataRange] Added support for custom text formatter in data range. Try this ».
- [^] [legend] Added support for custom graphic styles.
- [^] [legend] Added support for setting the coordinates (x, y) in percent. Connected text with graphic highlight. Optimized vertical center.
- [^] [categoryAxis][valueAxis] Added support for axisLine to locate zero automatically.
- [^] [categoryAxis][valueAxis] Added new axisLabel textStyle: align, baseline.
- [^] [categoryAxis][valueAxis] AxisLabel became clickable. Closes #287 ».
- [^] [toolbox] Optimized Chart Switch option. Click toolbox to enable. Abandoned the original switch design.
- [^] [title] Added support for opening title's/subtitle's hyperlinks in specified windows. Target, subtarget.
- [+] "this" refers to the present example in the event callbacks.
- [^] Upgraded markPoint, markLine event parameters carry value, dataIndex.
- [^] Added support for custom animated transition. Achieved the external fulfillment of loadingEffect.effect.
- [#] [scatter] Fixed display bug in scatter when emptySymbol's lineWidth is unknown.
- [#] [radar] Added support for Radar events to carry data index. Added support for text formatter.
- [#] [chord] Click on graphic elements to enable events.
- [#] [toolbox] Fixed issue with dataView unable to select all in IE.
- [#] [dataRange] Fixed color abnormality due to indivisibility.
- [#] Fixed issue with unable to clear contents and invalid merge when setOption series is empty.
- [#] Fixed offset shadow effect on Retina Display.
- [#] Several issues. Closes 1px Shift between line and axis » #294 » #303 » #364 ».
- [?] Dependence, ZRender 2.0.0+

### 1.4.1 (2014-04-14)

- [#] [bar][line] Fixed bug on null value calculation.
- [#] [dataZoom] Fixed bug on data shadow length calculation.
- [#] [bar] If the calculated width is 0, change it to 1px.
- [#] [toolbox] Fixed issue with showTitle appearing as false. Closes#269 ».
- [#] Fixed style reading bug when dom was hidden. Fixed calculation bug when padding was a decimal.
- [?] Dependence, ZRender 1.1.1+

### 1.4.0 (2014-04-02)

- 【+】Added new feature, Chart Linkage. Try this ». Closes #248 » this ».
- 【+】Added glow effects to the MarkPoints and MarkLines. Try Baidu migration (simulation) » Chinese trunk railways ».
- 【+】[line][bar][scatter] Added support for MarkPoints and MarkLines to automatically flag special values (max, min, average). Closes #218 » #249 ».
- 【+】[toolbox] Added support for magicType to switch between stack and tile.
- 【^】[toolbox] Re-designed the non-standard format of option. Closes #252 ».
- 【^】[line][bar][scatter][pie][radar][map] itemStyle.[normal|emphasis].color supported function callback. Closes #246 ».
- [^] [valueAxis]axisLabel.textStyle.color supported funtion callback.
- [+] [tooltip] Added support for analog hover interface (showTip, hideTip). Closes #237 ».
- [^] [dataRange] Optimized ScaleRoaming style.
- [^] [title][legend][toolbox] Optimized highlight style of hover text.
- [^] [pie] Data were arranged clockwise instead of counterclockwise by default.
- [^] [legend] Custom data text style.
- [^] [legend] Supported selectedMode. event parameters change with the current target.
- [^] [toolbox] Added support for custom toolbox. Try this ». Closes this ».
- [^] [categoryAxis][valueAxis] Optimized accuracy.
- [^] [categoryAxis] Added support for name.
- [^] If init on the same dom repeatedly, the existing instance will be automatically disposed.
- [^] MarkPoint and markLine supported data-level tooltip.
- [#] [pie] Pie border style (borderColor, borderWidth). Closes #223 ».
- 【#】[bar][line][valueAxis] Fixed scale calculation bugs in stacked charts.
- [#] [bar] Fixed dislocation of 0 value stacking display.
- [#] [bar] Fixed issue with custom stacked barWidth order.
- [#] Fixed markLine display bug when symbol is none.
- [?] Dependence, ZRender 1.1.1+

### 1.3.8 (2014-03-04)

- 【+】Added support for theme. Try ECharts Theme Designer.
- [+] Added support for symbolList. Added support for controlling the default order of symbols of line, scatter, radar.
- [+] Controllable backgroundColor.
- [^] Optimized Drag-Recalculate interaction. Differentiated short click from drag.
- [^] Improved init on the same dom repeatedly, returns the existing instance.
- [^] After clicking on clear, clear components and release memory.
- [#] Fixed text hover bug in IE8-.
- [^] [dataZoom] Optimized dataZoom style. Closes this ».
- [^] [dataRange] Data accuracy format.
- [^] [axis] The position where the axisTick displays became controllable. Added support for inside. Closes #220 ».
- [^] [valueAxis] Added support for axisLabel.textStyle.color to receive methods. Closes #226 ».
- [^] [map] Small areas of interactive optimization. click on the text to select. Added support for data-level selectable, hoverable.
- [^] [map] Standardized parameters of display style. Region border can be controlled by borderWidth, borderColor.
- [^] [pie] The border of a slice of the pie can be controlled by borderWidth, borderColor. Closes #223 ».
- [^] [pie] Fixed issue with a slice of 360 degrees. Closes #203 ».
- [^] [pie] the 0 value was not controlled by minAngle any longer.
- [?] Dependence, ZRender 1.1.0+

### 1.3.7 (2014-01-27)

- [^] [categoryAxis] Improved boundaryGap style. Spacing became half a category gap instead of one category gap.
- [^] [toolbox] Added support for custom toolbox icon, featureImageIcon.
- [^] [toolbox] Added support for the consistency of boundaryGap in Chart Switch. Closes #this ».
- [^] [legend] Improved multi-line horizontal center.
- [^] [pie] Added support for clockwise order. Closes #128 ».
- [^] [pie] LabelLine was upgrated to broken line. Reduced the likelihood of text coverage. Closes #187 ».
- [^] [valueAxis][tooltip][polar] Added support for automatical value formatting. Add "," at three-digit intervals.
- [^] [valueAxis] Added support for setting the nameTextStyle of valueAxis.
- [^] [map] Added support for setting mapValuePrecision and showLegendSymbol.
- [^] Improved text clarity in IE8-.
- [#] [toolbox] Fixed issue with possible conflict styles pollution caused by dynamic types.
- [#] Fixed issue with borderWidth becoming 1 when set as 0.
- [#] Several issues. Closes #189 » #190 » #193 » #IE8 - red background ».
- [?] Dependence, ZRender 1.0.9+

### 1.3.6 (2014-01-15)

- 【^】Supported adding markPoint and markLine in every single chart type. Try markPoint » markLine ».
- 【^】Fully opened examples of chart and component to enhance the level of customization and possibilities for innovation. Try this ».
- [+] [scatter][line][map] Improved symbol code. Added three new symbol types: heart, droplet, pin.
- [^] [categoryAxis] Added support for duplicate titles on the categoryAxis. Closes this ».
- [^] [map] Added support for closing hover highlight support when it features a non-numerical display. hoverable:false.
- [^] [tooltip] Added support for legend switch filter.
- [^] [grid][dataRange] Added support for setting x, y, width, height in percent.
- [^] Added support for line breaks, '\n'. Closes this ».
- [^] Set the threshold for animation effects (force a shutdown of animation effects in the big data mode).
- [#] [dataZoom] Fixed dataIndex parameters in dataZoom.
- [#] [scatter] Fixed issue with pixel shift in large-scale scatter.
- [#] [force] The default color is obtained from the legend.
- [#] Fixed issue with building script plain import file. Closes this ».
- [+] Added a new special report: Air Quality of Major Chinese Cities
- [?] Dependence, ZRender 1.0.8+

### 1.3.5 (2013-12-19)

- 【+】Script plain import. Compatible with non-modular or CMD-based (such as seajs) item import. For a closer look, see this ».
- 【^】[map] Added support for scroll zoom and drag roam. Enabled roam: true.
- 【^】[map] Added support for extended map on GeoJSON format. Check HK » USA ».
- 【+】[map] Added new map type: World Map. Try this ».
- 【^】[map] Added support for sub-region mode, which develops the sketch maps of 176 countries and regions worldwide as well as over 600 cities nationwide from World Map, China Map and Map of China Provinces & Cities. Try this ».
- [^] [map] Added the South China Sea Islands to China Map.
- [^] [map] Added support for setting mapLocation in percent.
- [^] [force] Improved tooltip for links.
- [^] [force] Added support for MouseEvents (such as CLICK). Optimized small areas of performance. Improved animation after data filtering.
- [^] [line][scatter] Added support for symbol as image.
- [^] Optimized mobile interaction (drag, click).
- [+] Added two new special reports: Charting China's Economy (2002-2011); China's "Tidal Wave" of Migration (1987-2011).
- [?] Dependence, ZRender 1.0.7+

### 1.3.1 (2013-11-22)

- 【+】Added support for renderAsImage.
- 【+】Added new interfaces: getOption/getSeries/getDataURL/getImage.
- 【^】[bar] The default barMinHeight was changed from 20 to 0.
- 【^】[pie] The default minAngle was changed from 5 to 0.
- [^] [bar] Added support for borderColor/borderWidth/borderRadius.
- [^] [bar] Added support for custom barGap/barCategoryGap. Added support for setting barGap/barCategoryGap in percent.
- [#] [pie][radar] Fixed resize bug when center is not set. Closes this ».
- [^] [pie][polar] Added support for setting radius in percent.
- [#] [island] Fixed issue with the decimal precision of data islands. Closes this ».
- [#] [bar] Fixed issue with infinite recursion when dom is very small. Closes this ».
- [+] [toolbox] The tooltip text. Closes this ».
- [^] [grid][axis] Transparent background. Sub-pixel optimization in Cartesian coordinate system.
- [#] [pie] Fixed the legend of drag-recalculate.
- [#] [chord][radar] Fixed text style.

### 1.3.0 (2013-11-05)

- 【+】[chord] Added a new chart type, chord. Added support for multi-dimensional choice.
- 【^】[pie] Added support for the Nightingale's Rose Diagram (radius/area).
- [#] [tooltip] Fixed issue with null data in radar.
- [#] [categoryAxis] Fixed issue with the decimal precision of big data in the categoryAxis. Closes this ».
- [^] [tooltip][line][bar] Optimized highlight style.
- [#] [tooltip] Fixed encodeHTML.
- [#] [candlestick] Fixed bug on the coloring scheme of candlestick chart. Closes this ».
- [^] Added symbol arrow. Closes this ».
- [^] [title] Added support for hyperlink.
- [^] [pie][polar] Added support for setting center coordinates in percent.
- [^] [legend] Multi-dimentional choice and multi-line control.
- [?] Dependence, ZRender 1.0.5+

### 1.2.1 (2013-09-29)

- 【^】[line] Added support for smoothed line. Improved the user experience of icon shape.
- 【^】[line][bar][scatter] Added support for text labels.
- [^] Cleared out the remaining animation after refresh.
- [^] Added version information and dependent evaluation.
- [^] [candlestick] Added support for barWidth and barMaxWidth.
- [^] [tooltip] ShowContent policy configuration. Closes this ».
- [+] [ndarray] Added multidimensional array module.
- [#] [legend] Fixed bug on the custom symbol legend of scatter.
- [#] [pie][polar][title] Fixed resize response bug. Closes this ».
- [#] [categoryAxis] Fixed issue with obtaining splitLine values in the color array. Closes this ».
- [#] [valueAxis] Fixed issue with 0 value not displaying in the whole system. this ».
- [#] [tooltip] Fixed match bug when callbacking ticket in synchronous and asynchronous combinations. Optimized code.
- [?] Dependence, ZRender 1.0.4+

### 1.2.0 (2013-09-13)

- 【+】[radar] Added a new chart type, radar.
- 【+】Added interface and animation for dynamic data. Closes this ».
- 【+】[map] Data compression algorithm (1.65M> 350K), dynamic loading.
- [+] [polar] Polar coordinates.
- [^] [grid] Improved the adaptive configuration of coordinate grid. Closes this ».
- [^] [dataZoom] As for the option zoomLock, added support for handle dragging to enhance user experience.
- [^] [tooltip] global mouseout, optimized levels.
- [+] [line] Added support for showAllSymbol to show all the inflection labels.
- [^] Optimized refresh interface.
- [#] Fixed resize response bug. Closes this ».
- [#] [legend] Fixed custom color value bug in pie charts. Closes this ».
- [#] [tooltip] Fixed issue with packaging array type and value type. Closes this ».
- [?] Dependence, ZRender 1.0.3+

### 1.1.2 (2013-08-21)

- 【+】[map] Added support for the Map of China Provinces & Cities.
- [^] [tooltip] AxisPointer style is configurable. Added new shadow style. See tooltip.axisPointer.
- [^] [tooltip] ShowDelay, hideDelay and transitionDuration are open and configurable.
- [^] [legend] The default selected state is configurable.
- [^] [pie] The default pie chart start angle is changed to 90 degrees (12 o'clock).
- [^] [line] Added support for symbolRotate.
- [+] Single file build tools.
- [#] [dataRange] Fixed color obtaining in dataRange.
- [#] [toolbox] Fixed the display position of "save as image".

### 1.1.1 (2013-07-30)

- [+] [component] Added new component, Title.
- 【+】Added support for image export. (not supported by IE8-).
- [^] [line] Supports for adding shadow in the main lines of the line chart (not supported by IE8-). Adjusted the symbol stroke to the same width of the main line.
- [^] [valueAxis] Added support for displaying item text on value axis. Improved the display of boundary value line.
- [^] [map] Added support for calculation: sum and average.
- [^] Optimized for Retina Display.
- [^] [legend] Added legend switch.
- [#] [axis] Fixed hover for Fujian Province.
- [#] [tooltip] Fixed the wrap of tooltip border.
- [#] [island] Fixed issue with the empty symbol of line generating white island data.
- [#] [dataRange] Fixed the rounding display of decimals.
- [#] [line] Fixed strokes of stacked line.
- 【#】Fixed issue with reverse synchronization and restore after data being modified (drag-recalculate, dataView).

### 1.1.0 (2013-07-08)

- Added new chart types:

- Scatter & Bubble
- Candlestick
- Map (supported map type: China Map)
- Force-Directed Chart

- Added new components:

- dataRange

- Added new features:

- selected mode (supports box selection)
- Scale Roaming
- Big Data Mode (applicable to scatter only)

- Added new events: RESTORE, DATA_RANGE, MAP_SELECTED
- Added new interfaces:

- resize: updates the change of the display area size.
- refresh: refresh the chart. LEGEND_SELECTED, DATA_ZOOM and DRAG remain unchanged.
- restore: restore the chart. All the states are cleared and restored to the original states.
- getZrender: get the ZRender instance used by the current chart, available for extra images addition and a high level of customization.

- 【Important】The charts are loaded on demand. You have to require on your own:
- Toolbox.feature.refresh was changed to restore.
- [#] the 0 value of tooltip.
- Upgraded selected Mode for pie charts. label supports formatter.
- Legend was upgraded to icon. Legend of the line chart is shown more vividly and easier to click on.
- Upgraded scale mode for valueAxis. The value axis would not necessarily start with 0. If set scale to true, you can set the minimum and maximum value of value axis as the starting and ending value of your value axis.
- The default animate easing effect was changed from 'BounceOut' to 'ExponentialOut'.

### 1.0.0 (2013-06-30)

- An enterprise-grade charting library. Support line (area), column (bar), pie (doughnut).
- Features

- Chart Combination
- Drag-Recalculate
- Data View
- Chart Switch
- Legend Switch
- Area Zoom
- Auxiliary Lines
- Multi-Series Stacking

- Multi-Level Control, Customizability
- Event Interaction:
  REFRESH, CLICK, HOVER, DATA_CHANGED, MAGIC_TYPE_CHANGED,
  DATA_VIEW_CHANGED, DATA_ZOOM, LEGEND_SELECTED